How to get bulk data deliveries

Enterprise customers who sign up for an annual plan also have the option to receive bulk data deliveries of our tech stack changes and customers data in a S3 bucket we will provide the name and credentials to. If you are interested in this delivery method, please contact us at [email protected]

Tech Stack Changes Dumps

1 of our S3 buckets contains a zip file for tech stack changes found for each date and vendor since 2025-01-01.

The name of each zip has the filename tech-signals-YYYY-MM-DD.zip

As an example, if you wanted all tech stack changes for '2026-01-01' in curl, you would simply do this:

curl -A <YOUR_BULK_DATA_DELIVERY_KEY_WE_WILL_PROVDE> https://<TECH_SIGNALS_S3_URL>/tech-signals-2026-01-01.zip -O

Each zip contains 2 files per vendor, a csv and a json version with the filename <NORMALIZED_VENDOR_NAME>.csv or .json, where NORMALIZED_VENDOR_NAME is the vendor name with &, spaces and slashes replaced with "_". For example, for the vendor name "Zapier Enterprise", you would see Zapier_Enterprise.csv and Zapier_Enterprise.json. Each row in the CSV and JSON also has the vendor_name in it.

The CSV and JSON content is simply the output you'd get if you'd call our tech stack changes API passing in that vendor name for that date, in CSV or JSON format. It is simply provided for you in a .zip format so you can bulk download it conveniently, instead of calling our API for every single vendor/date.

In addition, there is an ALL.csv and ALL.json that contains signals for every vendor on that day (it's basically a combination of all the other files)

Tech stack data dumps are delayed by 2 days, so if today was '2026-06-01', the latest file available would be tech-signals-2026-05-29.zip. For the latest real-time data, you would need to use our API.

Tech Customers Dumps

The 2nd S3 bucket contains a CSV for each vendor (no JSON, because it would be very memory intensive to parse extremely huge JSON blobs) containing ALL the active customers we detected for that vendor. Once again, each file is named <NORMALIZED_VENDOR_NAME>.csv, where NORMALIZED_VENDOR_NAME is the vendor name with &, spaces and slashes replaced with "_". For example, for the vendor name "Zapier Enterprise", you would see Zapier_Enterprise.csv.

The contents of each CSV file is a list of all the active customers for that vendor. It's the same output you'd get if you called our tech stack customers passing in a vendor, and paginated through all the results. It is simply provided for you in a .csv format so you can bulk download it conveniently, instead of calling our API for every single vendor and page.

In addition, the bucket also contains a customers.zip file that contains ALL the CSV files for all the vendors.

This way, you can either download a specific CSV for a specific vendor, if you're just interested in 1 vendor. Or download the zip if you're interested in all vendors.

As an example, if you wanted all tech stack customers for "Zapier Enterprise" in curl, you would simply do this:

curl -A <YOUR_BULK_DATA_DELIVERY_KEY_WE_WILL_PROVDE> https://<TECH_STACK_CUTSOMERS_S3_URL>/Zapier_Enterprise.csv -O

If you wanted to download the zip with ALL detected customers for ALL vendors:

curl -A <YOUR_BULK_DATA_DELIVERY_KEY_WE_WILL_PROVDE> https://<TECH_STACK_CUTSOMERS_S3_URL>/customers.zip -O